module Cuadrada(CLOCK_IN,OUT);	//IN	= (Fin	/	(2*FREC_out))-1

parameter	FREC_out	='d1;
parameter	IN			= (50000000	/ (2*FREC_out))-1;
parameter	Bits		=	$clog2(IN);

input			CLOCK_IN;
output reg	OUT=1'd1;
reg			[Bits-1:0]CONTEO=0;

always @(posedge CLOCK_IN)
begin

	if (CONTEO	>=	IN)
	begin
		CONTEO	<= 0;
		OUT		<=	~OUT;
	end
	else 
	begin
		CONTEO	<=	CONTEO+1;
		OUT		<=	OUT;
	end
	
end


endmodule 