module	Rampa(CLOCK_IN,OUT);	//FREC_in 	=	2 * FREC_out * (Maximo-Min)
										//Maximo		= (FREC_in / (2*FREC_out)) + Minimo		
parameter	Minimo='d0;
parameter	Maximo='d1000;
parameter	Bits=$clog2(Maximo); // Logaritmo en base 2 del numero maximo para saber cuantos bits en total utilizar
 
input			CLOCK_IN;
reg			Flag=1;
output reg	[Bits-1:0]OUT=Minimo;


always@(posedge	CLOCK_IN)
begin
	if(Flag)
	begin
	
		if( OUT ==	Maximo	)	 
		begin			
			Flag	<=	1'd0;
			OUT	<=	OUT	-	1'd1;		
		end
		else
		begin
			Flag	<=	Flag;
			OUT	<=	OUT	+	1'd1;	
		end 
		
	end
	else
	begin
	
		if( OUT	==	Minimo	)		  
		begin								
			Flag	<=	1'd1;
			OUT	<=	OUT	+	1'd1;	
		end
		else
		begin
			Flag	<=	Flag;
			OUT	<=	OUT	-	1'd1;
		end
	
	end
end

endmodule 