module	Sierra(CLOCK_IN,OUT);	//FREC_in 	= FREC_out * (Maximo+1-Min))
											//Maximo		= (FREC_in / FREC_out) - 1	+ Minimo			
parameter	Minimo='d0;
parameter	Maximo='d1000;
parameter	Bits=$clog2(Maximo); // Logaritmo en base 2 del numero maximo para saber cuantos bits en total utilizar
 
input			CLOCK_IN;
output reg	[Bits-1:0]OUT=Minimo;


always@(posedge	CLOCK_IN)
begin
		if( OUT	<	Maximo)		//Se encuentra sumando y llega a Maximo sin pasar mayor cosa. 
		begin								
			OUT	<=	OUT	+	1'd1;
		end
		else
		begin
			OUT	<=	Minimo;		//Al siguiente flanco detecta que es igual a Maximo y cambia a Minimo
		end 							//Finalmente conto des Minimo Hasta Maximo
		
end

endmodule 