module bpsk_modulation(clk_50mhz,data,out_bpsk);
input clk_50mhz;
input data;
output [11:0]out_bpsk;


wire [11:0]sin_wave;

NCO NCO_1/*DDS o VCO*/
(
	.phi_inc_i(32'd257698) ,	// input [31:0] phi_inc_i_sig
	.clk(clk_50mhz) ,	// input  clk_sig
	.reset_n(1'b1) ,	// input  reset_n_sig
	.clken(1'b1) ,	// input  clken_sig
	.fsin_o(sin_wave) ,	// output [11:0] fsin_o_sig
	.fcos_o(cos_wave) ,	// output [11:0] fcos_o_sig
	.out_valid(out_valid_sig) 	// output  out_valid_sig
);

assign out_bpsk=(data==1'b1) ? sin_wave:
					 ~sin_wave;

endmodule
