module fsk_modulation(clk_50mhz,data,out_fsk);
input clk_50mhz;
input data;
output [11:0]out_fsk;

wire [31:0]data_in;
wire [11:0]sin_wave;

NCO NCO_1/*DDS o VCO*/
(
	.phi_inc_i(data_in) ,	// input [31:0] phi_inc_i_sig
	.clk(clk_50mhz) ,	// input  clk_sig
	.reset_n(1'b1) ,	// input  reset_n_sig
	.clken(1'B1) ,	// input  clken_sig
	.fsin_o(sin_wave) ,	// output [11:0] fsin_o_sig
	.fcos_o(cos_wave) ,	// output [11:0] fcos_o_sig
	.out_valid(out_valid_sig) 	// output  out_valid_sig
);

assign out_fsk=sin_wave;
assign data_in=(data==1'b1) ? 32'd858994 :
					32'd128849;
									
									
endmodule
