module ppm_modulation(input clk,input pwm,output ppm);
reg fl_1=1'b0;
reg fl_2=1'b0;
reg fl_3=1'b0;

reg fl1_1=1'b0;
reg fl1_2=1'b0;
reg fl1_3=1'b0;

always@(posedge pwm,posedge fl_1)
begin
	if(fl_1) fl_3<=1'b0;
	else fl_3<=1'b1;
end

always@(posedge clk)
begin
	fl_2<=fl_3;
end

always@(posedge clk)
begin
	fl_1<=fl_2;
end


always@(negedge pwm,posedge fl1_1)
begin
	if(fl1_1)fl1_3<=1'b0;
	else fl1_3<=1'b1;
end

always@(posedge clk)
begin
	fl1_2<=fl1_3;
end

always@(posedge clk)
begin
	fl1_1<=fl1_2;
end



assign ppm=fl1_3 | fl_3;
endmodule
