module qpsk_modulation(clk_50mhz,data,out_qpsk);
input clk_50mhz;
input [1:0]data;
output [11:0]out_qpsk;


wire[11:0]sin_wave;
wire[11:0]cos_wave;

NCO NCO_1/*DDS o VCO*/
(
	.phi_inc_i(32'd858994) ,	// input [31:0] phi_inc_i_sig
	.clk(clk_50mhz) ,	// input  clk_sig
	.reset_n(1'b1) ,	// input  reset_n_sig
	.clken(1'B1) ,	// input  clken_sig
	.fsin_o(sin_wave) ,	// output [11:0] fsin_o_sig
	.fcos_o(cos_wave) ,	// output [11:0] fcos_o_sig
	.out_valid(out_valid_sig) 	// output  out_valid_sig
);

assign out_qpsk=(data==2'b00) ? sin_wave:
					 (data==2'b01) ? cos_wave:
					 (data==2'b10) ? ~sin_wave:
					 ~cos_wave;
					 

endmodule
