module LFSR_generator(clk_50mhz,out_LFSR);
input clk_50mhz;
output [3:0]out_LFSR;

reg [3:0]fp_lfsr;

wire clk_lfsr;
wire NOR_L;

assign NOR_L=~(|(fp_lfsr[2:0]));

frecGen frecGen_inst
(
	.clock(clk_50mhz) ,	// input  clock_sig
	.IN(32'd2500) ,	// input [31:0] IN_sig
	.OUT(clk_lfsr) 	// output  OUT_sig
);

/*escribir el codigo verilog del LFSR aki*/

always@(posedge clk_lfsr)
begin
	fp_lfsr[0]<=(fp_lfsr[0]^fp_lfsr[3]^NOR_L);
	fp_lfsr[1]<=fp_lfsr[0];
	fp_lfsr[2]<=fp_lfsr[1];
	fp_lfsr[3]<=fp_lfsr[2];
end





/*Aki finiliza el codigo de su LFSR*/
assign out_LFSR=fp_lfsr;

endmodule
